This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864707 - Provide a way to select all disk devices
Provide a way to select all disk devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 19:30 EDT by Jesse Keating
Modified: 2013-05-03 17:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 00:45:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-10-09 19:30:32 EDT
When in the gui partition screen there doesn't appear to be a way to select all disk devices.  When installing on s390x I have something like 14 dasd devices to select.  Doing this manually is tedious.  Previous UI gave a checkbox, this UI could have something like an keycombo, <ctrl>+a or some such.
Comment 1 Chris Lumens 2012-10-10 22:45:07 EDT
If you bring this up in irc, we can work on a design with mo.  Should be very easy to code once designed.
Comment 2 Máirín Duffy 2012-10-23 11:56:18 EDT
Hi! Here's what we came up with in IRC:

- This bug is for disk selection, *not* for partitioning. It's also for the main (first page in the storage spoke) disk selection screen, not the advanced storage / filter UI.

- Shift+Click isn't correctly working in the disk selection widgets so that ability should be added.

- Ctrl+A isn't correctly working in the disk selection widgets so that ability should be added.

- When selecting multiple items, the widget isn't scrolling properly so you can see what you're clicking on (if you do it via keyboard, at least.) That should be fixed. Chris fixed a similar scrolling issue elsewhere in commit 66199a988d2efa32933590dd6b450b3258939952

- We should consider putting a little empty checkbox graphic emblem in the upper left of the disk icons in the list, and changing it to a checkmark when the disk is selected to help better make it apparent that you can select more than one disk. This has been a point of confusion for several users now.
Comment 3 Chris Lumens 2012-10-23 13:54:13 EDT
Probably going to have to wait for post-F18 then (or at least, for someone else to take a look).
Comment 5 Chris Lumens 2013-03-11 17:24:26 EDT
Vratislav - this will be solved by your work for F19.
Comment 6 Vratislav Podzimek 2013-04-19 07:42:34 EDT
Patch for the Ctrl+A functionality posted to anaconda-patches. The Shift+Click functionality will be added in one of the following iterations.
Comment 7 Fedora Update System 2013-04-25 00:04:09 EDT
anaconda-19.22-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.22-1.fc19
Comment 8 Fedora Update System 2013-04-25 12:45:15 EDT
Package anaconda-19.22-1.fc19, pykickstart-1.99.28-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.22-1.fc19 pykickstart-1.99.28-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6595/pykickstart-1.99.28-1.fc19,anaconda-19.22-1.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-04-30 00:45:26 EDT
anaconda-19.22-1.fc19, pykickstart-1.99.28-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-30 08:22:13 EDT
anaconda-19.23-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.23-1.fc19
Comment 11 Fedora Update System 2013-05-03 17:05:18 EDT
anaconda-19.24-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.24-1.fc19

Note You need to log in before you can comment on or make changes to this bug.